apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: dev
# namePrefix: dev-   # rien n'interdit de combiner namespace ET namePrefix
# nameSuffix: -dev

commonLabels:
  variante: dev-phase

resources:
  - ../../base

patches:   # a remplacé patchesStrategicMerge à partir de la v5
  - path: qte_replicas.yaml

configMapGenerator:
  - name: chut-nginx
   # namespace: ??? # needs to match target ConfigMap from base
    behavior: replace
   # literals:
   #   - chut.conf=|   NE marche PAS bien que solution vue 2 fois dont celle-ci https://www.linkedin.com/pulse/generators-kustomize-christopher-adamson-na4ve/
   #       server_tokens on;  # utile pendant la phase de développement
    files:
      - chut.conf
